import { Component } from '@angular/core';

@Component({
  selector: 'svg-instagram',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16"
      height="16"
      viewBox="0 0 16 16"
      fill="none"
    >
      <path
        d="M10.6814 1.59961H5.31781C3.26758 1.59961 1.59961 3.26758 1.59961 5.31781V10.6814C1.59961 12.7316 3.26758 14.3996 5.31781 14.3996H10.6814C12.7316 14.3996 14.3996 12.7316 14.3996 10.6814V5.31781C14.3996 3.26758 12.7316 1.59961 10.6814 1.59961ZM13.3996 10.6814C13.3996 12.1802 12.1802 13.3996 10.6814 13.3996H5.31781C3.81898 13.3996 2.59961 12.1802 2.59961 10.6814V5.31781C2.59961 3.81898 3.81898 2.59961 5.31781 2.59961H10.6814C12.1802 2.59961 13.3996 3.81898 13.3996 5.31781V10.6814Z"
        fill="#9EADC5"
      />
      <path
        d="M7.9998 4.5498C6.09745 4.5498 4.5498 6.09745 4.5498 7.9998C4.5498 9.90215 6.09745 11.4498 7.9998 11.4498C9.90215 11.4498 11.4498 9.90215 11.4498 7.9998C11.4498 6.09745 9.90215 4.5498 7.9998 4.5498ZM7.9998 10.4498C6.64888 10.4498 5.5498 9.35073 5.5498 7.9998C5.5498 6.64888 6.64888 5.5498 7.9998 5.5498C9.35073 5.5498 10.4498 6.64888 10.4498 7.9998C10.4498 9.35073 9.35073 10.4498 7.9998 10.4498Z"
        fill="#9EADC5"
      />
      <path
        d="M11.5 5C11.7761 5 12 4.77614 12 4.5C12 4.22386 11.7761 4 11.5 4C11.2239 4 11 4.22386 11 4.5C11 4.77614 11.2239 5 11.5 5Z"
        fill="#9EADC5"
      />
    </svg>
  `,
})
export class SvgInstagramComponent {}
